# Interface IJavaColorConstants

public interface IJavaColorConstants
Color keys used for syntax highlighting Java code and Javadoc compliant comments. A `IColorManager` is responsible for mapping concrete colors to these keys.

This interface declares static final fields only; it is not intended to be implemented.

See Also:
  - `IColorManager`
  - `IColorManagerExtension`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JAVA_ANNOTATION`
Deprecated.
replaced as of 3.2 by an equivalent semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static final String`
`JAVA_BRACKET`
The color key for brackets in Java code (value `"java_bracket"`).
`static final String`
`JAVA_DEFAULT`
The color key for everything in Java code for which no other color is specified (value `"java_default"`).
`static final String`
`JAVA_KEYWORD`
The color key for Java keywords in Java code (value `"java_keyword"`).
`static final String`
`JAVA_KEYWORD_RETURN`
The color key for keyword 'return' in Java code (value `"java_keyword_return"`).
`static final String`
`JAVA_METHOD_NAME`
Deprecated.
replaced as of 3.1 by an equivalent semantic highlighting, see `SemanticHighlightings.METHOD`
`static final String`
`JAVA_MULTI_LINE_COMMENT`
The color key for multi-line comments in Java code (value `"java_multi_line_comment"`).
`static final String`
`JAVA_OPERATOR`
The color key for operators in Java code (value `"java_operator"`).
`static final String`
`JAVA_SINGLE_LINE_COMMENT`
The color key for single-line comments in Java code (value `"java_single_line_comment"`).
`static final String`
`JAVA_STRING`
The color key for string and character literals in Java code (value `"java_string"`).
`static final String`
`JAVA_TYPE`
Deprecated.
no longer used, replaced by `JAVA_KEYWORD`
`static final String`
`JAVADOC_DEFAULT`
The color key for everything in JavaDoc comments for which no other color is specified (value `"java_doc_default"`).
`static final String`
`JAVADOC_KEYWORD`
The color key for JavaDoc keywords (`@foo`) in JavaDoc comments (value `"java_doc_keyword"`).
`static final String`
`JAVADOC_LINK`
The color key for JavaDoc links (`{foo}`) in JavaDoc comments (value `"java_doc_link"`).
`static final String`
`JAVADOC_TAG`
The color key for HTML tags (`<foo>`) in JavaDoc comments (value `"java_doc_tag"`).
`static final String`
`PREFIX`
Note: This constant is for internal use only.
`static final String`
`PROPERTIES_FILE_COLORING_ARGUMENT`
The color key for arguments in values in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_ASSIGNMENT`
The color key for assignment in a properties file.
`static final String`
`PROPERTIES_FILE_COLORING_COMMENT`
The color key for comments in a properties file (value `"pf_coloring_comment"`).
`static final String`
`PROPERTIES_FILE_COLORING_KEY`
The color key for keys in a properties file (value `"pf_coloring_key"`).
`static final String`
`PROPERTIES_FILE_COLORING_VALUE`
The color key for values in a properties file (value `"pf_coloring_value"`).
`static final String`
`TASK_TAG`
The color key for task tags in java comments (value `"java_comment_task_tag"`).

## Field Details

### PREFIX

static final String PREFIX
Note: This constant is for internal use only. Clients should not use this constant. The prefix all color constants start with (value `"java_"`).

See Also:
  - Constant Field Values

### JAVA_MULTI_LINE_COMMENT

static final String JAVA_MULTI_LINE_COMMENT
The color key for multi-line comments in Java code (value `"java_multi_line_comment"`).

See Also:
  - Constant Field Values

### JAVA_SINGLE_LINE_COMMENT

static final String JAVA_SINGLE_LINE_COMMENT
The color key for single-line comments in Java code (value `"java_single_line_comment"`).

See Also:
  - Constant Field Values

### JAVA_KEYWORD

static final String JAVA_KEYWORD
The color key for Java keywords in Java code (value `"java_keyword"`).

See Also:
  - Constant Field Values

### JAVA_STRING

static final String JAVA_STRING
The color key for string and character literals in Java code (value `"java_string"`).

See Also:
  - Constant Field Values

### JAVA_METHOD_NAME

@Deprecated static final String JAVA_METHOD_NAME
Deprecated.
replaced as of 3.1 by an equivalent semantic highlighting, see `SemanticHighlightings.METHOD`
The color key for method names in Java code (value `"java_method_name"`).

Since:
  3.0
See Also:
  - Constant Field Values

### JAVA_KEYWORD_RETURN

static final String JAVA_KEYWORD_RETURN
The color key for keyword 'return' in Java code (value `"java_keyword_return"`).

Since:
  3.0
See Also:
  - Constant Field Values

### JAVA_OPERATOR

static final String JAVA_OPERATOR
The color key for operators in Java code (value `"java_operator"`).

Since:
  3.0
See Also:
  - Constant Field Values

### JAVA_BRACKET

static final String JAVA_BRACKET
The color key for brackets in Java code (value `"java_bracket"`).

Since:
  3.3
See Also:
  - Constant Field Values

### JAVA_DEFAULT

static final String JAVA_DEFAULT
The color key for everything in Java code for which no other color is specified (value `"java_default"`).

See Also:
  - Constant Field Values

### JAVA_TYPE

@Deprecated static final String JAVA_TYPE
Deprecated.
no longer used, replaced by `JAVA_KEYWORD`
The color key for the Java built-in types such as `int` and `char` in Java code (value `"java_type"`).

See Also:
  - Constant Field Values

### JAVA_ANNOTATION

@Deprecated static final String JAVA_ANNOTATION
Deprecated.
replaced as of 3.2 by an equivalent semantic highlighting, see `SemanticHighlightings.ANNOTATION`
The color key for annotations (value `"java_annotation"`).

Since:
  3.1
See Also:
  - Constant Field Values

### TASK_TAG

static final String TASK_TAG
The color key for task tags in java comments (value `"java_comment_task_tag"`).

Since:
  2.1
See Also:
  - Constant Field Values

### JAVADOC_KEYWORD

static final String JAVADOC_KEYWORD
The color key for JavaDoc keywords (`@foo`) in JavaDoc comments (value `"java_doc_keyword"`).

See Also:
  - Constant Field Values

### JAVADOC_TAG

static final String JAVADOC_TAG
The color key for HTML tags (`<foo>`) in JavaDoc comments (value `"java_doc_tag"`).

See Also:
  - Constant Field Values

### JAVADOC_LINK

static final String JAVADOC_LINK
The color key for JavaDoc links (`{foo}`) in JavaDoc comments (value `"java_doc_link"`).

See Also:
  - Constant Field Values

### JAVADOC_DEFAULT

static final String JAVADOC_DEFAULT
The color key for everything in JavaDoc comments for which no other color is specified (value `"java_doc_default"`).

See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_KEY

static final String PROPERTIES_FILE_COLORING_KEY
The color key for keys in a properties file (value `"pf_coloring_key"`).

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_COMMENT

static final String PROPERTIES_FILE_COLORING_COMMENT
The color key for comments in a properties file (value `"pf_coloring_comment"`).

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_VALUE

static final String PROPERTIES_FILE_COLORING_VALUE
The color key for values in a properties file (value `"pf_coloring_value"`).

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ASSIGNMENT

static final String PROPERTIES_FILE_COLORING_ASSIGNMENT
The color key for assignment in a properties file. (value `"pf_coloring_assignment"`).

Since:
  3.1
See Also:
  - Constant Field Values

### PROPERTIES_FILE_COLORING_ARGUMENT

static final String PROPERTIES_FILE_COLORING_ARGUMENT
The color key for arguments in values in a properties file. (value `"pf_coloring_argument"`).

Since:
  3.1
See Also:
  - Constant Field Values